
Website Monitoring - Bug #1827

Input doesn't have access to checkpoint directory

04/24/2017 05:01 PM - Luke Murphey

Status: Closed Start date: 04/24/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.2   

Description

See https://answers.splunk.com/answers/522283/website-monitoring-why-are-newly-added-urls-trigge.html#answer-523882

I should consider:

Including better messaging (perhaps with a help URL)

Determining if directory creation should be done differently to increase reliability

Pre-checking the directory permissions before running the input

Associated revisions

Revision 285 - 05/01/2017 07:38 PM - lukemurphey

Updating the description of the WebSite Performance Problems alert

Reference #1827

History

#1 - 04/24/2017 05:02 PM - Luke Murphey

- Target version set to 2.2

#2 - 04/27/2017 11:38 PM - Luke Murphey

Stacktrace:

ERROR Failed to save checkpoint directory

Traceback (most recent call last):

File "C:\Program Files\Splunk\etc\apps\website_monitoring\bin\modular_input.py", line 1191, in save_checkpoint

_data

fp = open( self.get_file_path(checkpoint_dir, stanza), 'w' )

IOError: [Errno 13] Permission denied: u'C:\\Program Files\\Splunk\\var\\lib\\splunk\\modinputs\\web_ping\\e55

e2172d516522608c07669aaceae7d.json'

#3 - 05/01/2017 07:43 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
